## mariadb 11.7.2+maria~ubu2204

=== debian/changelog ===
mariadb (1:11.7.2+maria~ubu2204) jammy; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Mon, 10 Feb 2025 20:55:35 +0000

## mariadb 11.7.2+maria~ubu2404

=== debian/changelog ===
mariadb (1:11.7.2+maria~ubu2404) noble; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Wed, 12 Feb 2025 20:12:49 +0000

## mariadb 11.8.1

=== support-files/CMakeLists.txt ===
# Copyright (c) 2006, 2016, Oracle and/or its affiliates.
# Copyright (c) 2012, 2022, MariaDB
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1335 USA

IF(WIN32)
  SET(localstatedir "C:\\\\mysql\\\\data\\\\")
  SET(ini_file_extension "ini")
ELSE()
  SET(localstatedir "${MYSQL_DATADIR}")
  SET(prefix "${CMAKE_INSTALL_PREFIX}")
  SET(libexecdir ${INSTALL_SBINDIRABS})
  SET(bindir ${INSTALL_BINDIRABS})
  SET(sbindir "${libexecdir}")
  SET(datadir "${MYSQL_DATADIR}")
  SET(CC ${CMAKE_C_COMPILER})
  SET(CXX ${CMAKE_CXX_COMPILER})
  SET(CFLAGS ${CMAKE_C_FLAGS})
  SET(CXXFLAGS ${CMAKE_CXX_FLAGS})
  SET(MYSQLD_USER "mysql")
  SET(MYSQLD_GROUP "mysql")
  SET(ini_file_extension "cnf")
  SET(HOSTNAME "uname -n")

  # Define directly here, as cmake/install_layout.cmake has no LOGDIR to be inherited
  SET(su_user "su mysql mysql")
  IF(RPM MATCHES "(suse|sles)")
    SET(logdir "/var/log/mysql")
  ELSEIF(RPM)
    SET(logdir "/var/log/mariadb")
  ELSE()
    SET(logdir "/var/log/mysql")
  ENDIF()
  IF(DEB)
    SET(su_user "#su mysql mysql")
  ENDIF()
  get_filename_component(MYSQL_UNIX_DIR ${MYSQL_UNIX_ADDR} DIRECTORY)
  SET(mysqlunixdir ${MYSQL_UNIX_DIR})
ENDIF()

# XXX: shouldn't we just have variables for all this stuff and centralise
# XXX: their configuration in install_layout.cmake?
IF(WIN32)
  SET(inst_location ${INSTALL_DOCREADMEDIR})
ELSE()
  SET(inst_location ${INSTALL_SUPPORTFILESDIR})
ENDIF()

IF(WITH_WSREP AND NOT WITHOUT_SERVER)
  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/wsrep.cnf.sh
                 ${CMAKE_CURRENT_BINARY_DIR}/wsrep.${ini_file_extension} @ONLY)
  INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/wsrep.${ini_file_extension}
          DESTINATION ${inst_location} COMPONENT IniFiles)
ENDIF()

IF(UNIX AND NOT WITHOUT_SERVER)
  SET(prefix ${CMAKE_INSTALL_PREFIX})
  SET(SCRIPTS mysqld_multi.server mariadb.logrotate binary-configure mini-benchmark)
  IF(WITH_WSREP)
    SET(SCRIPTS ${SCRIPTS} wsrep_notify)
  ENDIF()
  FOREACH(script ${SCRIPTS})
    CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/${script}.sh
                   ${CMAKE_CURRENT_BINARY_DIR}/${script} @ONLY )
    INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${script}
      DESTINATION ${inst_location} COMPONENT Server_Scripts)
  ENDFOREACH()

  IF(INSTALL_SUPPORTFILESDIR)
    INSTALL(FILES magic DESTINATION ${inst_location} COMPONENT SupportFiles)
    INSTALL(DIRECTORY policy DESTINATION ${inst_location} COMPONENT SupportFiles)
    FIND_PROGRAM(CHECKMODULE checkmodule)
    FIND_PROGRAM(SEMODULE_PACKAGE semodule_package)
    MARK_AS_ADVANCED(CHECKMODULE SEMODULE_PACKAGE)

    # Build pp files in policy/selinux
    IF(CHECKMODULE AND SEMODULE_PACKAGE)
      FOREACH(pol mariadb)
        SET(src ${CMAKE_CURRENT_SOURCE_DIR}/policy/selinux/${pol}.te)
        SET(tmp ${CMAKE_CURRENT_BINARY_DIR}/${pol}.mod)
        SET(out ${CMAKE_CURRENT_BINARY_DIR}/${pol}.pp)
        ADD_CUSTOM_COMMAND(OUTPUT ${out}
          COMMAND ${CHECKMODULE} -M -m ${src} -o ${tmp}
          COMMAND ${SEMODULE_PACKAGE} -m ${tmp} -o ${out}
          COMMAND ${CMAKE_COMMAND} -E remove ${tmp}
        DEPENDS ${src})
        ADD_CUSTOM_TARGET(${pol}-pp ALL DEPENDS ${out})
        INSTALL(FILES ${out} DESTINATION ${inst_location}/policy/selinux COMPONENT SupportFiles)
      ENDFOREACH()
      IF(RPM)
        EXECUTE_PROCESS(COMMAND rpm -q --qf "%{VERSION}" libsepol."${CMAKE_SYSTEM_PROCESSOR}"
                        OUTPUT_VARIABLE LIBSEPOL_VERSION RESULT_VARIABLE err)
        IF (NOT err)
          SET(CPACK_RPM_server_PACKAGE_REQUIRES
            "${CPACK_RPM_server_PACKAGE_REQUIRES} libsepol >= ${LIBSEPOL_VERSION}"
            PARENT_SCOPE)
        ENDIF()
      ENDIF()
    ENDIF()
  ENDIF()

  CONFIGURE_FILE(mariadb.pc.in ${CMAKE_CURRENT_BINARY_DIR}/mariadb.pc @ONLY)
  INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/mariadb.pc DESTINATION ${INSTALL_LIBDIR}/pkgconfig COMPONENT Development)

  INSTALL(FILES mysql.m4 DESTINATION ${INSTALL_SHAREDIR}/aclocal COMPONENT Development)
  
  SET(bindir ${INSTALL_BINDIRABS})
  SET(sbindir ${INSTALL_SBINDIRABS})
  SET(scriptdir ${INSTALL_SCRIPTDIRABS})
  SET(libexecdir ${INSTALL_SBINDIRABS})
  SET(pkgdatadir ${INSTALL_MYSQLSHAREDIRABS})
  IF(INSTALL_SYSCONFDIR)
    SET(sysconfdir ${INSTALL_SYSCONFDIR})
  ELSEIF(DEFAULT_SYSCONFDIR)
    SET(sysconfdir ${DEFAULT_SYSCONFDIR})
  ELSE()
    SET(sysconfdir "/etc")
  ENDIF()
  IF(INSTALL_SYSCONF2DIR)
    SET(sysconf2dir ${INSTALL_SYSCONF2DIR})
  ELSE()
    SET(sysconf2dir "${sysconfdir}/mysql")
  ENDIF()
  CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/mysql.server.sh 
                 ${CMAKE_CURRENT_BINARY_DIR}/mysql.server @ONLY)
  INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/mysql.server
    DESTINATION ${inst_location} COMPONENT SupportFiles)

  IF(HAVE_SYSTEMD)
    CONFIGURE_FILE(mariadb.service.in
                   ${CMAKE_CURRENT_BINARY_DIR}/mariadb.service @ONLY)
    CONFIGURE_FILE(mariadb.socket.in
                   ${CMAKE_CURRENT_BINARY_DIR}/mariadb.socket @ONLY)
    CONFIGURE_FILE(mariadb-extra.socket.in
                   ${CMAKE_CURRENT_BINARY_DIR}/mariadb-extra.socket @ONLY)
    EXECUTE_PROCESS(
    COMMAND ${CMAKE_COMMAND} -E create_symlink ./mariadb.service mysql.service
    COMMAND ${CMAKE_COMMAND} -E create_symlink ./mariadb.service mysqld.service
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

    IF(WITH_WSREP)
      INSTALL(FILES use_galera_new_cluster.conf
              DESTINATION ${inst_location}/systemd COMPONENT SupportFiles)
    ENDIF()
    INSTALL(FILES
            ${CMAKE_CURRENT_BINARY_DIR}/mariadb.service
            ${CMAKE_CURRENT_BINARY_DIR}/mysql.service
            ${CMAKE_CURRENT_BINARY_DIR}/mysqld.service
            DESTINATION ${inst_location}/systemd COMPONENT SupportFiles)

    # @ in directory name broken between CMake version 2.8.12.2 and 3.3
    # http://public.kitware.com/Bug/view.php?id=14782
    IF(NOT CMAKE_VERSION VERSION_LESS 3.3.0 OR NOT RPM)
      CONFIGURE_FILE(mariadb@.service.in
                     ${CMAKE_CURRENT_BINARY_DIR}/mariadb@.service @ONLY)
      CONFIGURE_FILE(mariadb@.socket.in
                     ${CMAKE_CURRENT_BINARY_DIR}/mariadb@.socket @ONLY)
      CONFIGURE_FILE(mariadb-extra@.socket.in
                     ${CMAKE_CURRENT_BINARY_DIR}/mariadb-extra@.socket @ONLY)
      INSTALL(FILES
              ${CMAKE_CURRENT_BINARY_DIR}/mariadb@.service
              ${CMAKE_CURRENT_BINARY_DIR}/mariadb@.socket
              ${CMAKE_CURRENT_BINARY_DIR}/mariadb-extra@.socket
              ${CMAKE_CURRENT_BINARY_DIR}/mysql.service
              ${CMAKE_CURRENT_BINARY_DIR}/mysqld.service
              DESTINATION ${inst_location}/systemd COMPONENT SupportFiles)
    ENDIF()

    IF(INSTALL_SYSTEMD_UNITDIR)
      INSTALL(FILES
              ${CMAKE_CURRENT_BINARY_DIR}/mariadb.service
              ${CMAKE_CURRENT_BINARY_DIR}/mariadb.socket
              ${CMAKE_CURRENT_BINARY_DIR}/mariadb-extra.socket
              ${CMAKE_CURRENT_BINARY_DIR}/mysql.service
              ${CMAKE_CURRENT_BINARY_DIR}/mysqld.service
              DESTINATION ${INSTALL_SYSTEMD_UNITDIR} COMPONENT Server)

      # http://public.kitware.com/Bug/view.php?id=14782
      IF(NOT CMAKE_VERSION VERSION_LESS 3.3.0 OR NOT RPM)
        INSTALL(FILES use_galera_new_cluster.conf
                DESTINATION
                "${INSTALL_SYSTEMD_UNITDIR}/mariadb@bootstrap.service.d"
                COMPONENT Server)
        INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/mariadb@.service
                ${CMAKE_CURRENT_BINARY_DIR}/mariadb@.socket
                ${CMAKE_CURRENT_BINARY_DIR}/mariadb-extra@.socket
                DESTINATION ${INSTALL_SYSTEMD_UNITDIR} COMPONENT Server)
      ENDIF()

    ENDIF()
  ENDIF()

  # Allow installing sysusers and tmpusers without requiring SYSTEMD on the
  # system. This is useful for distributions running other init systems to
  # parse these files and create appropriate users & tmpfiles.
  IF((HAVE_SYSTEMD OR INSTALL_SYSTEMD_SYSUSERS) AND INSTALL_SYSTEMD_SYSUSERSDIR)
    CONFIGURE_FILE(sysusers.conf.in
            ${CMAKE_CURRENT_BINARY_DIR}/sysusers.conf @ONLY)
    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/sysusers.conf
            DESTINATION ${INSTALL_SYSTEMD_SYSUSERSDIR}
            RENAME mariadb.conf COMPONENT Server)
  ENDIF()

  IF((HAVE_SYSTEMD OR INSTALL_SYSTEMD_TMPUSERS) AND INSTALL_SYSTEMD_TMPFILESDIR)
    get_filename_component(MYSQL_UNIX_DIR ${MYSQL_UNIX_ADDR} DIRECTORY)
    IF(MYSQL_DATADIR STREQUAL MYSQL_UNIX_DIR)
      SET(DISABLE_TMP "#")
    ENDIF()
    CONFIGURE_FILE(tmpfiles.conf.in
            ${CMAKE_CURRENT_BINARY_DIR}/tmpfiles.conf @ONLY)
    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/tmpfiles.conf
            DESTINATION ${INSTALL_SYSTEMD_TMPFILESDIR}
            RENAME mariadb.conf COMPONENT Server)
  ENDIF()

  IF (INSTALL_SYSCONFDIR)
    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/mariadb.logrotate
            DESTINATION ${INSTALL_SYSCONFDIR}/logrotate.d
            RENAME mariadb COMPONENT SupportFiles)
    IF(NOT HAVE_SYSTEMD)
      INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/mysql.server
              DESTINATION  ${INSTALL_SYSCONFDIR}/init.d
              RENAME mysql COMPONENT SupportFiles)
    ENDIF()

    INSTALL(FILES rpm/my.cnf DESTINATION ${INSTALL_SYSCONFDIR}
            COMPONENT Common)

    IF (INSTALL_SYSCONF2DIR)
      INSTALL(FILES rpm/client.cnf DESTINATION ${INSTALL_SYSCONF2DIR}
              COMPONENT SharedLibraries)
      INSTALL(FILES rpm/mysql-clients.cnf DESTINATION ${INSTALL_SYSCONF2DIR}
              COMPONENT Client)
      INSTALL(FILES rpm/server.cnf DESTINATION ${INSTALL_SYSCONF2DIR}
              COMPONENT IniFiles)
      INSTALL(FILES rpm/enable_encryption.preset DESTINATION ${INSTALL_SYSCONF2DIR}
              COMPONENT IniFiles)
    ENDIF()

    # This is for SuSE:
    INSTALL(CODE "EXECUTE_PROCESS(COMMAND ${CMAKE_COMMAND} -E create_symlink
                   ${INSTALL_SYSCONFDIR}/init.d/mysql
                   ${INSTALL_SBINDIR}/rcmysql
                   WORKING_DIRECTORY \$ENV{DESTDIR}${prefix})"
                   COMPONENT SupportFiles)
  ENDIF(INSTALL_SYSCONFDIR)
ENDIF()

=== storage/columnstore/columnstore/utils/pron/CMakeLists.txt ===
include_directories( ${ENGINE_COMMON_INCLUDES} )
set(pron_LIB_SRCS pron.cpp)
add_library(pron STATIC ${pron_LIB_SRCS})
target_link_libraries(pron messageqcpp loggingcpp)

#We don't isntall static library
#install(TARGETS pron DESTINATION ${ENGINE_LIBDIR} COMPONENT columnstore-engine)

=== debian/changelog ===
mariadb (1:11.8.1-4deepin1) unstable; urgency=medium

  * revert t64.
  * fix risc64 build error.

 -- lhdjply <lhdjply@126.com>  Fri, 25 Apr 2025 13:42:35 +0800

mariadb (1:11.8.1-4) unstable; urgency=medium

  * Disable main.mysqld--help-aria test that failed on nearly every
    architecture in previous upload due to new upstream issue (MDEV-36334)
  * Disable some vector related tests that failed on sparc64 (MDEV-36670)
  * Backport main.func_format fix for exabyte/petabyte mismatch on i386

 -- Otto Kekäläinen <otto@debian.org>  Wed, 23 Apr 2025 07:29:38 -0700

mariadb (1:11.8.1-3) unstable; urgency=medium

  * Add patch to have CEST as allowed in main.timezone test (Closes: #1084293)
  * Backport revert of CONC-710 that broke building UDFs (Closes: #1101397)
  * Backport systemd service fix for restarts on crashes (Closes: #1073847)
  * Update standards version to 4.7.2, no changes needed
  * Re-enable tests that were passing recently in experimental when MariaDB
    Debian revision 1:11.4.5-2~exp1 built or which otherwise was confirmed to
    passing now: mariabackup.encrypted_page_corruption, mariadb_upgrade,
    MDEV-22243, MDEV-23427, MDEV-23921, MDEV-27955, MDEV-30518, MDEV-30676,
    MDEV-30728, MDEV-30918, MDEV-30929, MDEV-31349, MDEV-33520, MDEV-33520,
    MDEV-34084, MDEV-34733, MDEV-34781, MDEV-34788, MDEV-36334

 -- Otto Kekäläinen <otto@debian.org>  Sat, 19 Apr 2025 12:06:11 -0700

mariadb (1:11.8.1-2) unstable; urgency=medium

  * Disable test func_format on i386 (MDEV-36334) to get i386 builds
    pass on official Debian buildd while upstream fixes the issue
  * Restore better error message on service stop failures from c789cdaf
  * Revert "Set CAP_IPC_LOCK capability if possible" to follow upstream

 -- Otto Kekäläinen <otto@debian.org>  Thu, 20 Mar 2025 12:31:04 -0700

mariadb (1:11.8.1-1) unstable; urgency=medium

  * New major upstream release candidate MariaDB 11.8, which is going to be the
    next Long-Term Supported (LTS) version. For an overview of what is new in
    the upstream release, see
    https://mariadb.com/kb/en/changes-improvements-in-mariadb-11-8/.
  * Update d/watch for MariaDB 11.8 series
  * Update references to 11.4 with 11.8
  * Drop 'utf8mb4' config as 'utf8mb4' and 'uca1400_ai_ci' is now default
  * Include new authentication plugin PARSEC
  * Temporarily disable the new SBOM generation incompatible with Debian
  * Ensure mariadb-server-core can overwrite mariadb-server-compat
  * Update configuration traces for 11.8(.1)
  * Drop unused dh-exec from libmariadb-dev-compat.links
  * Disable main.view test on sparc64 as it seems permanently failing now
  * Complete and unfuzz all incomplete translations
  * Add Hindi and Korean translations for MariaDB debconf templates
  * Update Lintian overrides/mismatches
  * Manually strip debug symbols from libmariadbd.a
  * Fix incorrect SIGTERM/SIGKILL use in 98c3c0730

 -- Otto Kekäläinen <otto@debian.org>  Thu, 13 Mar 2025 13:58:11 -0700

=== debian/control ===
Source: mariadb
Section: database
Priority: optional
Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Uploaders:
 Otto Kekäläinen <otto@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-package-notes,
 dpkg-dev (>= 1.22.5),
 bison,
 cmake,
 cracklib-runtime <!nocheck>,
 default-jdk,
 gdb <!nocheck>,
 libboost-dev,
 libbz2-dev,
 libcrack2-dev (>= 2.9.0),
 libcurl4-openssl-dev | libcurl4-dev,
 libedit-dev,
 libedit-dev:native,
 libfmt-dev (>= 10.1.1+ds1-4) | libfmt-dev (<< 10),
 libjemalloc-dev [linux-any],
 libjudy-dev,
 libkrb5-dev,
 liblz4-dev,
 liblzma-dev,
 liblzo2-dev,
 libncurses-dev,
 libnet-ssleay-perl <!nocheck>,
 libnuma-dev [linux-any],
 libpam0g-dev,
 libpcre2-dev,
 libsnappy-dev,
 libssl-dev,
 libssl-dev:native,
 libsystemd-dev [linux-any],
 liburing-dev [linux-any],
 libxml2-dev,
 libzstd-dev (>= 1.3.3),
 lsb-release,
 perl:any,
 po-debconf,
 psmisc,
 unixodbc-dev,
 uuid-dev,
 zlib1g-dev (>= 1:1.1.3-5~),
 zlib1g-dev:native,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://mariadb.org/
Vcs-Browser: https://salsa.debian.org/mariadb-team/mariadb-server
Vcs-Git: https://salsa.debian.org/mariadb-team/mariadb-server.git

Package: libmariadb-dev
Architecture: any
Section: libdevel
Depends:
 libmariadb3 (= ${binary:Version}),
 libssl-dev,
 zlib1g-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libmariadb-client-lgpl-dev,
 libmariadb-dev-compat (<< ${source:Version}),
 libmariadbclient-dev (<< 1:10.3),
 libmysqlclient-dev,
 libmysqld-dev (<< ${source:Version}),
Replaces:
 libmariadb-client-lgpl-dev,
 libmariadb-dev-compat (<< ${source:Version}),
 libmariadbclient-dev (<< 1:10.3),
 libmysqlclient-dev,
 libmysqld-dev (<< ${source:Version}),
Conflicts:
 libmariadbclient16-dev,
 libmysqlclient-dev,
Description: MariaDB database development files
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes development libraries and header files. To allow sources
 expecting the MariaDB Connector/C to build. Sources that expect the MySQL
 Client libraries should use files from the libmariadb-dev-compat package.

Package: libmariadb-dev-compat
Architecture: any
Section: libdevel
Depends:
 libmariadb-dev (= ${binary:Version}),
 ${misc:Depends},
Conflicts:
 libmariadb-client-lgpl-dev-compat,
 libmariadbclient-dev-compat,
 libmysqlclient-dev,
Provides:
 libmariadb-client-lgpl-dev-compat,
 libmariadbclient-dev-compat,
Breaks:
 libmariadb-client-lgpl-dev-compat,
 libmariadbclient-dev (<< 1:10.3),
 libmariadbclient-dev-compat,
 libmysqlclient-dev,
Replaces:
 libmariadb-client-lgpl-dev-compat,
 libmariadbclient-dev (<< 1:10.3),
 libmariadbclient-dev-compat,
 libmysqlclient-dev,
Description: MariaDB Connector/C, compatibility symlinks
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes compatibility symlinks to allow sources expecting the
 MySQL client libraries to be built against MariaDB Connector/C.

Package: libmariadb3
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 mariadb-common,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 mariadb-galera-server-10.0,
 mariadb-galera-server-5.5,
 mariadb-server-10.0,
 mariadb-server-5.1,
 mariadb-server-5.2,
 mariadb-server-5.3,
 mariadb-server-5.5,
Breaks:
 libmariadbclient18,
Replaces:
 libmariadbclient18,
Description: MariaDB database client library
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the client library.

Package: libmariadbd19
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: MariaDB embedded database, shared library
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes a shared library for embedded MariaDB applications.

Package: libmariadbd-dev
Architecture: any
Section: libdevel
Provides:
 libmysqld-dev,
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libmariadb-dev (= ${binary:Version}),
 libmariadbd19 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libmariadb-dev (<< 1:10.4),
 libmysqld-dev,
Replaces:
 libmariadb-dev (<< 1:10.4),
 libmysqld-dev,
Description: MariaDB embedded database, development files
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the MariaDB embedded server library development and
 header files.

Package: mariadb-common
Architecture: all
Depends:
 mysql-common (>= 5.6.25),
 ${misc:Depends},
Multi-Arch: foreign
Description: MariaDB database common config files (/etc/mysql/mariadb.conf.d/)
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes configuration files common to all MariaDB programs.

Package: mariadb-client-core
Architecture: any
Depends:
 libmariadb3 (>= 10.5.4),
 mariadb-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 mysql-client-5.5,
 mysql-client-5.6,
 mysql-client-5.7,
 mysql-client-8.0,
 virtual-mysql-client-core,
Breaks:
 mariadb-client-10.0,
 mariadb-client-core-10.0,
 mariadb-client-core-10.1,
 mariadb-client-core-10.2,
 mariadb-client-core-10.3,
 mariadb-client-core-10.4,
 mariadb-client-core-10.5,
 mariadb-client-core-10.6,
 mariadb-client-core-5.5,
 mariadb-server-10.0,
 mariadb-server-10.1,
 mariadb-server-core (<< ${source:Version}),
 mariadb-server-core-10.3,
 mariadb-server-core-10.4,
 mariadb-server-core-10.5,
 mariadb-server-core-10.6,
 mysql-client-core-5.5,
 mysql-client-core-5.6,
 mysql-client-core-5.7,
 mysql-client-core-8.0,
 mysql-cluster-community-client-plugins,
 mysql-server-core-5.5,
 mysql-server-core-5.6,
 mysql-server-core-5.7,
 mysql-server-core-8.0,
 percona-server-server-5.6,
 percona-server-server-5.7,
 percona-server-server-8.0,
 percona-xtradb-cluster-server-5.6,
 percona-xtradb-cluster-server-5.7,
 percona-xtradb-cluster-server-8.0,
Replaces:
 mariadb-client-10.0,
 mariadb-client-core-10.0,
 mariadb-client-core-10.1,
 mariadb-client-core-10.2,
 mariadb-client-core-10.3,
 mariadb-client-core-10.4,
 mariadb-client-core-10.5,
 mariadb-client-core-10.6,
 mariadb-client-core-5.5,
 mariadb-server-10.0,
 mariadb-server-10.1,
 mariadb-server-core (<< ${source:Version}),
 mariadb-server-core-10.3,
 mariadb-server-core-10.4,
 mariadb-server-core-10.5,
 mariadb-server-core-10.6,
 mysql-client-core-5.5,
 mysql-client-core-5.6,
 mysql-client-core-5.7,
 mysql-client-core-8.0,
 mysql-cluster-community-client-plugins,
 mysql-server-core-5.5,
 mysql-server-core-5.6,
 mysql-server-core-5.7,
 mysql-server-core-8.0,
 percona-server-server-5.6,
 percona-server-server-5.7,
 percona-server-server-8.0,
 percona-xtradb-cluster-server-5.6,
 percona-xtradb-cluster-server-5.7,
 percona-xtradb-cluster-server-8.0,
 virtual-mysql-client-core,
Provides:
 virtual-mysql-client-core,
Description: MariaDB database core client binaries
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the core client files, as used by Akonadi.

Package: mariadb-client
Architecture: any
Depends:
 debianutils (>=1.6),
 libconfig-inifiles-perl,
 mariadb-client-core (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Conflicts:
 mysql-client-core-5.5,
 mysql-client-core-5.6,
 mysql-client-core-5.7,
 mysql-client-core-8.0,
 mytop,
 virtual-mysql-client,
Breaks:
 mariadb-client-10.0,
 mariadb-client-10.1,
 mariadb-client-10.2,
 mariadb-client-10.3,
 mariadb-client-10.4,
 mariadb-client-10.5,
 mariadb-client-10.6,
 mariadb-client-5.5,
 mariadb-client-compat (<< ${source:Version}),
 mariadb-client-core (<< ${source:Version}),
 mariadb-client-core-10.0,
 mariadb-client-core-10.1,
 mariadb-client-core-10.2,
 mariadb-client-core-10.3,
 mariadb-client-core-10.4,
 mariadb-client-core-10.5,
 mariadb-client-core-10.6,
 mariadb-server (<< ${source:Version}),
 mariadb-server-10.0,
 mariadb-server-10.1,
 mariadb-server-10.2,
 mariadb-server-10.3,
 mariadb-server-10.4,
 mariadb-server-10.5 (<< 1:10.11),
 mariadb-server-10.6,
 mysql-client-5.5,
 mysql-client-5.6,
 mysql-client-5.7,
 mysql-client-8.0,
 mysql-server-5.5,
 mysql-server-5.7,
 mysql-server-core-8.0,
 percona-server-server-5.6,
 percona-xtradb-cluster-server-5.6,
 percona-xtradb-cluster-server-5.7,
Replaces:
 mariadb-client-10.0,
 mariadb-client-10.1,
 mariadb-client-10.2,
 mariadb-client-10.3,
 mariadb-client-10.4,
 mariadb-client-10.5,
 mariadb-client-10.6,
 mariadb-client-5.5,
 mariadb-client-compat (<< ${source:Version}),
 mariadb-client-core (<< ${source:Version}),
 mariadb-client-core-10.0,
 mariadb-client-core-10.1,
 mariadb-client-core-10.2,
 mariadb-client-core-10.3,
 mariadb-client-core-10.4,
 mariadb-client-core-10.5,
 mariadb-client-core-10.6,
 mariadb-server (<< ${source:Version}),
 mariadb-server-10.0,
 mariadb-server-10.1,
 mariadb-server-10.2,
 mariadb-server-10.3,
 mariadb-server-10.4,
 mariadb-server-10.5 (<< 1:10.11),
 mariadb-server-10.6,
 mysql-client-5.5,
 mysql-client-5.6,
 mysql-client-5.7,
 mysql-client-8.0,
 mysql-server-5.5,
 mysql-server-5.7,
 mysql-server-core-8.0,
 mytop,
 percona-server-server-5.6,
 percona-xtradb-cluster-server-5.6,
 percona-xtradb-cluster-server-5.7,
 virtual-mysql-client,
Provides:
 virtual-mysql-client,
Recommends:
 libdbd-mariadb-perl | libdbd-mysql-perl,
 libdbi-perl,
 libterm-readkey-perl,
Description: MariaDB database client binaries
 MariaDB is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MariaDB are speed, robustness and
 ease of use.
 .
 This package includes the client binaries and the additional tools
 innotop and mariadb-report (mysqlreport).

Package: mariadb-client-compat
Architecture: all
Depends:
 mariadb-client (>= ${source:Version}),
 ${misc:Depends},
Breaks:
 mariadb-client (<< 1:11.0.0),
 mariadb-client-core (<< 1:11.0.0),
 mariadb-server (<< 1:11.0.0),
 mariadb-server-10.5 (<< 1:10.11),
 mariadb-server-core (<< 1:11.0.0),
 mysql-client (<< 5.0.51),
 mysql-server-5.5,
Replaces:
 mariadb-client (<< 1:11.0.0),
 mariadb-client-core (<< 1:11.0.0),
 mariadb-server (<< 1:11.0.0),
 mariadb-server-10.5 (<< 1:10.11),
 mariadb-server-core (<< 1:11.0.0),
 mysql-client (<< 5.0.51),
 mysql-server-5.5,
Conflicts:
 mariadb-client-10.0,
 mariadb-client-10.1,
 mariadb-client-10.2,
 mariadb-client-10.3,
 mariadb-client-10.4,
 mariadb-client-10.5,
 mariadb-client-10.6,
 mariadb-client-10.7,
 mariadb-client-10.8,
 mariadb-client-5.1,
 mariadb-client-5.2,
 mariadb-client-5.3,
 mariadb-client-5.5,
 mariadb-client-core-10.0,
 mariadb-client-core-10.1,
 mariadb-client-core-10.2,
 mariadb-client-core-10.3,
 mariadb-client-core-10.4,
 mariadb-client-core-10.5,
 mariadb-client-core-10.6,

=== debian/rules ===
#!/usr/bin/make -f

# Enable Debian Hardening
# https://wiki.debian.org/Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# LTO is generally enabled. Only ColumnStore doesn't support it (MCOL-5819)
# and disables it in storage/columnstore/CMakeLists.txt

DPKG_EXPORT_BUILDFLAGS = 1
# Include all defaults, including buildflags.mk
include /usr/share/dpkg/default.mk
# Include package notes in built executables
include /usr/share/debhelper/dh_package_notes/package-notes.mk

# CPPFLAGS are nor read by CMake, so copy them to CXXFLAGS
# See why at https://cmake.org/Bug/view.php?id=12928
# This is needed for e.g. all automatic Debian hardening flags to apply on all cmake builds.
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

# Only do a strict symbol checking on Linux
# https://manpages.debian.org/testing/dpkg-dev/dpkg-gensymbols.1.en.html
# Level 4: Fails if some libraries have been introduced.
ifneq (,$(filter linux,$(DEB_HOST_ARCH_OS)))
    export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
endif

BUILDDIR := builddir
DEB_VERSION_REVISION := $(shell echo $(DEB_VERSION) | sed -e 's/^.*-//')
DEB_VERSION_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/^.*:\(.*\)\(-\|+\).*/\1/')
DEB_VERSION_MAJOR := $(shell echo $(DEB_VERSION_VERSION) | sed -e 's/^\(.*\)\..*$$/\1/')
RELEASE := $(shell lsb_release -r -s) # Use changelog based DEB_DISTRIBUTION instead?
TMP := $(CURDIR)/debian/tmp
MTR_SKIP_TEST_LIST := $(shell mktemp)

# According to Debian Policy version 4.2.0 builds should be as verbose as
# possible unless 'terse' is specifically passed.
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
    export DH_VERBOSE=1
endif

# Parallel build support as advised
# at https://www.debian.org/doc/debian-policy/ch-source.html#s-debianrules-options
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
else
    # NUMJOBS cannot be empty as it is used as a parameter to mtr, default to 'auto'.
    NUMJOBS = auto
endif

# RocksDB cannot build on 32-bit platforms
ifeq (32,$(DEB_HOST_ARCH_BITS))
    CMAKEFLAGS += -DPLUGIN_ROCKSDB=NO
endif

# Fix compilation errors like "relocation truncated to fit: GPREL16 against symbol `wsrep_debug'"
ifeq ($(DEB_HOST_ARCH),alpha)
    export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-relax
endif

# Add support for verbose builds
MAKEFLAGS += VERBOSE=1

override_dh_auto_clean:
	@echo "RULES.$@"
	dh_testdir
	# Delete obsolete/unstable components and embedded source code copies
	# to ensure they are not used in Debian and in general to keep MariaDB binaries
	# secure and using only system libraries that can be updated quickly and easily
	# in case security vulnerabilities are found in any of the libraries
	rm -rf $(BUILDDIR) builddir-native extra/readline extra/wolfssl zlib libmariadb/external/zlib
	# Remove columnstore as the source code is dirty and software not mature enough for Debian anyway
	rm -rf storage/columnstore

	# Update po-files when clean runs before each build
	debconf-updatepo

	# Clean up files created by custom sections in build that 'dh clean' does not see automatically
	rm -rf debian/mariadb-server.*.socket debian/substvars

override_dh_auto_configure:
	@echo "RULES.$@"
	dh_testdir

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	dpkg-architecture -a$(DEB_BUILD_ARCH) -f -c dh_auto_configure --builddirectory=builddir-native --reload-all-buildenv-variables
	dh_auto_build --builddirectory=builddir-native -- import_executables
endif

	echo "server:Version=$(DEB_VERSION)" >> debian/substvars

	# As packages does not have major version any more in package name there is no
	# way as it not set by dpkg to use this on postinst script. Use sed to
	# determine major version instead.
	# @TODO: Rewrite this to use the new upstream /var/lib/mysql_upgrade_info file
	# instead of the legacy /var/lib/debian-XX.X.flag file
	sed -i 's/__MARIADB_MAJOR_VER__/$(DEB_VERSION_MAJOR)/g' debian/mariadb-server.post* debian/mariadb-server.preinst

	# Don't build ColumnStore, not mature enough for Debian yet.
	PATH=$${MYSQL_BUILD_PATH:-"/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin"} \
	    dh_auto_configure --builddirectory=$(BUILDDIR) -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
	    $(CMAKEFLAGS) \
	    $(if $(filter $(DEB_BUILD_ARCH),$(DEB_HOST_ARCH)),,-DIMPORT_EXECUTABLES=$(CURDIR)/builddir-native/import_executables.cmake) \
	    -DCOMPILATION_COMMENT="$(DEB_VENDOR) $(RELEASE)" \
	    -DMYSQL_SERVER_SUFFIX="-$(DEB_VERSION_REVISION)" \
	    -DSYSTEM_TYPE="debian-$(DEB_HOST_GNU_SYSTEM)" \
	    -DBUILD_CONFIG=mysql_release \
	    -DCONC_DEFAULT_CHARSET=utf8mb4 \
	    -DPLUGIN_AWS_KEY_MANAGEMENT=NO \
	    -DPLUGIN_COLUMNSTORE=NO \
	    -DWITH_NUMA=AUTO \
	    -DIGNORE_AIO_CHECK=ON \
	    -DWITH_URING=ON \
	    -DWITH_INNODB_SNAPPY=ON \
	    -DHAVE_SYSTEM_LIBFMT_EXITCODE=0 \
	    -DWITH_SBOM=NO \
	    -DDEB=$(DEB_VENDOR)

# This is needed, otherwise 'make test' will run before binaries have been built
override_dh_auto_build:
	@echo "RULES.$@"
	# Print build env info to help debug builds on different platforms
	dpkg-architecture
	cd $(BUILDDIR) && $(MAKE)

# Note that the 'nocheck' condition inside this section may potentially be
# completely obsolete, as at least the Launchpad riscv64 builder completely
# skips this section with message:
# 	dh: command-omitted: The call to "debian/rules override_dh_auto_test" was
# 	omitted due to "DEB_BUILD_OPTIONS=nocheck"
override_dh_auto_test:
	@echo "RULES.$@"
	dh_testdir
	# Skip running test suite after build if DEB_BUILD_OPTIONS contains 'nocheck'
	@echo "DEB_BUILD_OPTIONS: $(DEB_BUILD_OPTIONS)"
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Skip unstable tests if such are defined for arch
	[ ! -f debian/unstable-tests.$(DEB_HOST_ARCH) ] || cat debian/unstable-tests.$(DEB_HOST_ARCH) >> $(MTR_SKIP_TEST_LIST)
	# Show contents of skip list on this architecture
	@echo "On architecture $(DEB_HOST_ARCH) skip tests:"
	cat $(MTR_SKIP_TEST_LIST)
	# Run testsuite
	cd $(BUILDDIR)/mysql-test && \
	export MTR_PRINT_CORE=detailed && \
	./mtr --force --testcase-timeout=120 --suite-timeout=540 --retry=3 \
	      --verbose-restart --max-save-core=1 --max-save-datadir=1 \
	      --parallel=$(NUMJOBS) --skip-rpl --suite=main \
	      --skip-test-list=$(MTR_SKIP_TEST_LIST) \
	      $(MTR_ARGUMENTS_APPEND)
	# Don't use --mem here as official Debian builders and most Docker systems don't have a large mem device available and
	# would fail with errors on lack of disk space.
endif

override_dh_auto_install:
	@echo "RULES.$@"
	dh_testdir
	dh_testroot

	# Run 'make install' without output since it is uninteresting and
	# silencing it helps to make overall build log shorter and more readable
	@echo "Running $(MAKE) install DESTDIR=$(TMP) ..."
	cd $(BUILDDIR) && $(MAKE) install DESTDIR=$(TMP) > /dev/null

	# If mariadb-test package is removed, also remove most of it's files
	grep --quiet "Package: mariadb-test" debian/control || rm -rf $(TMP)/usr/share/mariadb/mariadb-test

	# Delete lone compiled binary that that does not belong in the
	# mariadb-test-data package and which seems hard to move
	# https://jira.mariadb.org/browse/MDEV-21654
	rm -rf $(TMP)/usr/share/mariadb/mariadb-test/suite/plugins/pam/pam_mariadb_mtr.so

	# Delete private files from libraries so they don't get shipped in the -dev packages
	rm -r $(TMP)/usr/include/mariadb/server/private

	# Don't ship sql-bench at all, just delete it completely even though it builds
	rm -r $(TMP)/usr/sql-bench

	# nm numeric soft is not enough, therefore extra sort in command
	# to satisfy Debian reproducible build requirements
	mkdir -p $(TMP)/usr/share/doc/mariadb-server
	nm --defined-only $(BUILDDIR)/sql/mariadbd | LC_ALL=C sort | gzip -n -9 > $(TMP)/usr/share/doc/mariadb-server/mariadbd.sym.gz

	# Rename and install AppArmor profile
	install -D -m 644 debian/apparmor-profile $(TMP)/etc/apparmor.d/usr.sbin.mariadbd

	# Install mariadb.pc as a symlink for the client library,

## mariadb 11.8.1+maria~deb11

=== debian/changelog ===
mariadb (1:11.8.1+maria~deb11) bullseye; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Wed, 12 Feb 2025 05:23:18 -0500

mariadb (1:11.8.0) unstable; urgency=medium

  * Initial Release

 -- Sergei Golubchik <serg@mariadb.org> Tue Aug 20 08:40:21 CEST 2024

## mariadb 11.8.1+maria~deb12

=== debian/changelog ===
mariadb (1:11.8.1+maria~deb12) bookworm; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Wed, 12 Feb 2025 05:24:20 -0500

## mariadb 11.8.1+maria~debsid

=== debian/changelog ===
mariadb (1:11.8.1+maria~debsid) sid; urgency=medium

  * Automatic build with MariaDB build.

 -- MariaDB Developers <developers@lists.mariadb.org>  Wed, 12 Feb 2025 10:36:30 +0000
